mode.login_type is set to 1, the user is authenticated using the provided password.login_type is set to 2, the user is authenticated using a one-time activation code (OTP).login_type = 2), the client must first invoke the Send Validation Code API with the appropriate login mode to generate and deliver the activation code to the user.| Field | Type | Required | Description |
|---|---|---|---|
email_id | string | Yes | Email ID |
pass_code | string | Yes | Password/Validation code depending on the login_type |
login_type | string | Yes | login type 1 for password 2 for validation code |
app_id | string | Yes | App ID |
email_id – Registered email address of the userpass_code – password or activation code (this is password if it is 1 and 2 it is validation code)app_id - App ID which is a 13 digit numeric valuelogin_type – Login type1 → Password-based login2 → Activation code (OTP)–based loginlogin_type = 2, password validation is bypassed.
/auth-service/send/sign/in/validation/code.login_type = 1 )login_type = 2)Signs in a user using an email ID with either password-based or OTP-based authentication, based on the selected mode.
curl --location --request POST 'https://appfloor.in/auth-service/sign/in/with/email' \
--header 'Authorization: Bearer <token>' \
--form 'email_id=""' \
--form 'pass_code=""' \
--form 'login_type=""' \
--form 'app_id=""'"error": {
"code": "XF_VALIDATION_ERROR",
"message": "Invalid E-Mail",
"path": "/auth-service/sign/in/with/email",
"timestamp": "2026-01-12T08:11:59.993079561Z"
}
}